#
# spec file for package xt7-player-mpv
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xt7-player-mpv
Version:        0.24.392
Release:        pm152.6.157
Summary:        Qt/Gambas gui to mpv
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://xt7-player.sourceforge.net/xt7forum/
Source0:        https://github.com/kokoko3k/xt7-player-mpv/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  gambas3-devel >= 3.9.1
BuildRequires:  gambas3-gb-args
BuildRequires:  gambas3-gb-compress
BuildRequires:  gambas3-gb-db
BuildRequires:  gambas3-gb-db-form
BuildRequires:  gambas3-gb-dbus
BuildRequires:  gambas3-gb-desktop
BuildRequires:  gambas3-gb-form
BuildRequires:  gambas3-gb-form-dialog
BuildRequires:  gambas3-gb-form-mdi
BuildRequires:  gambas3-gb-form-stock
BuildRequires:  gambas3-gb-gui
BuildRequires:  gambas3-gb-image
BuildRequires:  gambas3-gb-image-imlib
BuildRequires:  gambas3-gb-image-io
BuildRequires:  gambas3-gb-libxml
BuildRequires:  gambas3-gb-net
BuildRequires:  gambas3-gb-net-curl
BuildRequires:  gambas3-gb-qt5
BuildRequires:  gambas3-gb-qt5-ext
BuildRequires:  gambas3-gb-settings
BuildRequires:  gambas3-gb-signal
BuildRequires:  gambas3-gb-util-web
BuildRequires:  gambas3-gb-web
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(taglib_c)
Requires:       %(rpm -qf $(readlink -qne %{_libdir}/libtag.so) --qf '%{NAME} >= %{VERSION}')
Requires:       %(rpm -qf $(readlink -qne %{_libdir}/libtag_c.so) --qf '%{NAME} >= %{VERSION}')
Requires:       ffmpeg
Requires:       gambas3-gb-args
Requires:       gambas3-gb-compress
Requires:       gambas3-gb-dbus
Requires:       gambas3-gb-desktop
Requires:       gambas3-gb-form
Requires:       gambas3-gb-form-dialog
Requires:       gambas3-gb-form-mdi
Requires:       gambas3-gb-form-stock
Requires:       gambas3-gb-geom
Requires:       gambas3-gb-gtk
Requires:       gambas3-gb-gui
Requires:       gambas3-gb-image
Requires:       gambas3-gb-libxml
Requires:       gambas3-gb-net
Requires:       gambas3-gb-net-curl
Requires:       gambas3-gb-qt5
Requires:       gambas3-gb-qt5-ext
Requires:       gambas3-gb-settings
Requires:       gambas3-gb-signal
Requires:       gambas3-gb-util-web
Requires:       gambas3-gb-web
Requires:       gambas3-runtime
Requires:       mpv >= 0.24.0
Requires:       wget
Requires:       youtube-dl
Recommends:     dvb
Recommends:     dvbsnoop
Recommends:     python >= 2.7
Recommends:     xbindkeys
Recommends:     xdg-utils
BuildArch:      noarch

%description
Aims to be an (in)complete graphical interface to mpv, focused on
usability. It also provides extra features like youtube and shoutcast
integration, dvbt, media tagging, library and playlist managment and a lot
more.

%prep
%setup -q

%build
gbc3 -e -a -g -t -p -m
gba3

%install
install -Dm755 %{name}-%{version}.gambas %{buildroot}%{_bindir}/%{name}.gambas
install -Dm0644 {./,%{buildroot}%{_datadir}/pixmaps/}%{name}.png
install -Dm0644 {./,%{buildroot}%{_datadir}/applications/}%{name}.desktop
install -Dm0644 {./,%{buildroot}%{_datadir}/appdata/}%{name}.appdata.xml

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%dir %{_datadir}/appdata
%doc CHANGELOG_GIT LICENSE*
%{_bindir}/%{name}.gambas
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}*.xml

%changelog
* Tue Feb 14 2017 avvissu@yandex.by
- Update to 0.24.392:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
- Check list of dependencies
- Spec file cleanup
* Wed Nov 23 2016 avvissu@yandex.by
- Update to 0.22.391:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
* Sat Nov  5 2016 avvissu@yandex.by
- Update to 0.21.384:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
- Switch to Qt5
* Mon Sep  5 2016 avvissu@yandex.by
- Update to 0.20.384:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
* Mon Jun 27 2016 avvissu@yandex.by
- Update to 0.18.384:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
* Sun Apr  3 2016 avvissu@yandex.by
- Update to 0.16.384:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
* Thu Feb  4 2016 avvissu@yandex.ru
- Update to 0.14.384:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
* Sun Nov  8 2015 avvissu@yandex.ru
- Update to 0.12.381:
  * see: /usr/share/doc/packages/xt7-player-mpv/CHANGELOG_GIT
* Sat Oct 31 2015 avvissu@yandex.ru
- Add gambas3-gb-libxml instead of gb-xml
* Wed Oct 28 2015 avvissu@yandex.ru
- Initial release
